Kerbal Space Program - Bug #28069

MK2 Clamp-O-Tron controlpoint pointing in the wrong direction
06/26/2021 03:33 PM - Kampfsanni

Status: Confirmed Start date: 06/26/2021
Severity: Normal % Done: 10%
Assignee:

Category: Docking

Target version:

Version: 1.12.0 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion: Core Game

Description

The orientation of the MK2 Clamp-O-Tron controlpoint is pointing in the wrong direction.
If the dockingport is pointing up, the controlpint is pointing forward, and the horizon in the Navball is going upside down.
If the dockingport is pointing down, the controlpint is the same as the MK2 Cockpit in front of it.

History

#1 - 06/26/2021 10:42 PM - Anth12
- File screenshot17.png added

Definitely facing the wrong direction

#2 - 07/04/2021 07:20 PM - Rakete

Confirmed... can't dock my sstos to spacestations anymore as the alignment is messed up due to this bug.

#3 - 07/05/2021 03:38 PM - BeanThruster
Kampfsanni wrote:
The orientation of the MK2 Clamp-O-Tron controlpoint is pointing in the wrong direction.

If the dockingport is pointing up, the controlpint is pointing forward, and the horizon in the Navball is going upside down.
If the dockingport is pointing down, the controlpint is the same as the MK2 Cockpit in front of it.

Confirmed.
| discovered this yesterday. Had to dock an out of fuel spaceplane by eyeballing

#4 - 07/06/2021 05:56 PM - BeanThruster

- File BuggedDocking1.sfs added

- File BuggedDocking1.loadmeta added

- File Auto-Saved Ship.craft added

- File Kerbal Space Program Screenshot 2021.07.06 - 19.37.59.36.png added
- File Kerbal Space Program Screenshot 2021.07.06 - 19.38.15.56.png added

Sorry for the intrusion. I've been asked to load some material to document the bug and make esiaer to find a fix. The bug is shown in the two pics,
where one can see the navball status when control point is set to the cockpit (pic on the left) or to the docking port (pic on the right).

Apparently, switching the control point from the cockpit to the MK2 docking port causes the control point direction to rotate 180 degs around the roll
axis. Translational axis are messed up accordingly, so that in switching from the cockpit to the docking port, up becomes down, left becomes right and
viceversa, back and forth remain unchanged

Savefile and craft have been uploaded too.

Happy debugging

#5 - 07/07/2021 04:18 PM - just_jim
- Status changed from New to Confirmed

- % Done changed from 0 to 10
Agreed... something is wrong

#6 - 07/07/2021 04:18 PM - Technicalfool
- Category changed from Parts to Docking
- Severity changed from Low to Normal

- Platform Linux added

#9 - 07/18/2021 02:38 PM - kaa253

The severity of this bug should be High.

The Mk2 Clamp-O-Tron part is effectively useless.

#10 - 07/18/2021 02:52 PM - Rakete

Agreed. The MK2 dockingport is a key part for the whole mk2 ssto fleet guys.

Should have a high priority!

#11 - 07/25/2021 09:02 PM - prestonfaiks@yahoo.com
- File KSPBug28069.png added

Here is another screenshot demonstrating the issue. The in-line mk1 part works, but not the mk2.

Please fix soon!

#12 - 08/05/2021 12:30 PM - Kampfsanni
Problem solved in KSP 1.12.2
